package com.gic.haoban.manage.service.pojo.bo;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 待办表
 *
 * @author fdh
 */
public class PendingTaskBO implements Serializable {
    /**
     *
     */
    private Long pendingTaskId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 关联id 对应task_type
     */
    private String relationId;

    /**
     * 业务id 如果是活动：活动id；话务：ecmid；群发：ecmid
     */
    private String businessId;

    /**
     * 0-不良评价回访 1-ecm话务任务 ,3群发任务  4活动
     */
    private Integer taskType;

    /**
     *
     */
    private String title;

    /**
     * 描述
     */
    private String description;

    /**
     * 0正常 1失效
     */
    private Integer taskStatusFlag;

    /**
     * 逾期时间
     */
    private Date overdueTime;

    /**
     * 失效时间
     */
    private Date invalidTime;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 执行人id
     */
    private String clerkId;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 完成类型 0 未完成  1已完成
     */
    private Integer finishFlag;

    /**
     * 是否逾期 0不逾期  1逾期
     */
    private Integer overdueFlag;

    /**
     *
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public Long getPendingTaskId() {
        return pendingTaskId;
    }

    public void setPendingTaskId(Long pendingTaskId) {
        this.pendingTaskId = pendingTaskId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.enterprise_id
     *
     * @return the value of tab_haoban_pending_task.enterprise_id
     */
    public String getEnterpriseId() {
        return enterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.enterprise_id
     *
     * @param enterpriseId the value for tab_haoban_pending_task.enterprise_id
     */
    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.relation_id
     *
     * @return the value of tab_haoban_pending_task.relation_id
     */
    public String getRelationId() {
        return relationId;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.relation_id
     *
     * @param relationId the value for tab_haoban_pending_task.relation_id
     */
    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.task_type
     *
     * @return the value of tab_haoban_pending_task.task_type
     */
    public Integer getTaskType() {
        return taskType;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.task_type
     *
     * @param taskType the value for tab_haoban_pending_task.task_type
     */
    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.title
     *
     * @return the value of tab_haoban_pending_task.title
     */
    public String getTitle() {
        return title;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.title
     *
     * @param title the value for tab_haoban_pending_task.title
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.description
     *
     * @return the value of tab_haoban_pending_task.description
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.description
     *
     * @param description the value for tab_haoban_pending_task.description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.task_status_flag
     *
     * @return the value of tab_haoban_pending_task.task_status_flag
     */
    public Integer getTaskStatusFlag() {
        return taskStatusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.task_status_flag
     *
     * @param taskStatusFlag the value for tab_haoban_pending_task.task_status_flag
     */
    public void setTaskStatusFlag(Integer taskStatusFlag) {
        this.taskStatusFlag = taskStatusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.overdue_time
     *
     * @return the value of tab_haoban_pending_task.overdue_time
     */
    public Date getOverdueTime() {
        return overdueTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.overdue_time
     *
     * @param overdueTime the value for tab_haoban_pending_task.overdue_time
     */
    public void setOverdueTime(Date overdueTime) {
        this.overdueTime = overdueTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.invalid_time
     *
     * @return the value of tab_haoban_pending_task.invalid_time
     */
    public Date getInvalidTime() {
        return invalidTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.invalid_time
     *
     * @param invalidTime the value for tab_haoban_pending_task.invalid_time
     */
    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.store_id
     *
     * @return the value of tab_haoban_pending_task.store_id
     */
    public String getStoreId() {
        return storeId;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.store_id
     *
     * @param storeId the value for tab_haoban_pending_task.store_id
     */
    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.clerk_id
     *
     * @return the value of tab_haoban_pending_task.clerk_id
     */
    public String getClerkId() {
        return clerkId;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.clerk_id
     *
     * @param clerkId the value for tab_haoban_pending_task.clerk_id
     */
    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.finish_time
     *
     * @return the value of tab_haoban_pending_task.finish_time
     */
    public Date getFinishTime() {
        return finishTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.finish_time
     *
     * @param finishTime the value for tab_haoban_pending_task.finish_time
     */
    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.finish_flag
     *
     * @return the value of tab_haoban_pending_task.finish_flag
     */
    public Integer getFinishFlag() {
        return finishFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.finish_flag
     *
     * @param finishFlag the value for tab_haoban_pending_task.finish_flag
     */
    public void setFinishFlag(Integer finishFlag) {
        this.finishFlag = finishFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.overdue_flag
     *
     * @return the value of tab_haoban_pending_task.overdue_flag
     */
    public Integer getOverdueFlag() {
        return overdueFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.overdue_flag
     *
     * @param overdueFlag the value for tab_haoban_pending_task.overdue_flag
     */
    public void setOverdueFlag(Integer overdueFlag) {
        this.overdueFlag = overdueFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.delete_flag
     *
     * @return the value of tab_haoban_pending_task.delete_flag
     */
    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.delete_flag
     *
     * @param deleteFlag the value for tab_haoban_pending_task.delete_flag
     */
    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.create_time
     *
     * @return the value of tab_haoban_pending_task.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.create_time
     *
     * @param createTime the value for tab_haoban_pending_task.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_pending_task.update_time
     *
     * @return the value of tab_haoban_pending_task.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_pending_task.update_time
     *
     * @param updateTime the value for tab_haoban_pending_task.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}